/**
 * 특정 조건이 완료될 때까지 여러 번 계속 시도한다.
 * @param condition 조건
 * @param intervalMilliseconds 시도 간격
 * @param maxTrial 최대 시도 수
 */
export declare const waitUntil: (condition: () => boolean, intervalMilliseconds?: number, maxTrial?: number) => Promise<void>;
/**
 * 일정 시간동안 기다린다.
 * @param milliSec 기다리는 시간
 */
export declare const waitDuring: (milliSec?: number) => Promise<void>;
export declare const tryUntil: (until: () => boolean | undefined, tryCall: () => void, intervalMilliseconds?: number, maxTrial?: number) => void;
